OGRE: Ogre::FontManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::FontManager Class Reference
Optional Components » Overlay

Manages Font resources, parsing .fontdef files and generally organising them. More...

`#include <OgreFontManager.h>`

Inheritance diagram for Ogre::FontManager:
[legend]

## Public Member Functions
| FontManager ()
| ~FontManager ()
FontPtr | create (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)
| Create a new font.
FontPtr | getByName (const String &name, const String &groupName=RGN_DEFAULT) const
| Get a font by name.
Public Member Functions inherited from Ogre::ResourceManager
| ResourceManager ()
virtual | ~ResourceManager ()
virtual void | _notifyResourceLoaded (Resource *res)
| Notify this manager that a resource which it manages has been loaded.
virtual void | _notifyResourceTouched (Resource *res)
| Notify this manager that a resource which it manages has been 'touched', i.e.
virtual void | _notifyResourceUnloaded (Resource *res)
| Notify this manager that a resource which it manages has been unloaded.
ResourceCreateOrRetrieveResult | createOrRetrieve (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)
| Create a new resource, or retrieve an existing one with the same name if it already exists.
ResourcePtr | createResource (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)
| Creates a new blank resource, but does not immediately load it.
void | destroyAllResourcePools ()
| destroy all pools
void | destroyResourcePool (const String &name)
| Destroy a resource pool.
void | destroyResourcePool (ResourcePool *pool)
| Destroy a resource pool.
virtual ResourcePtr | getByHandle (ResourceHandle handle) const
| Retrieves a pointer to a resource by handle, or null if the resource does not exist.
Real | getLoadingOrder (void) const override
| Gets the loading order for scripts of this type.
size_t | getMemoryBudget (void) const
| Get the limit on the amount of memory this resource handler may use.
size_t | getMemoryUsage (void) const
| Gets the current memory usage, in bytes.
virtual ResourcePtr | getResourceByName (const String &name, const String &groupName=RGN_DEFAULT) const
| Retrieves a pointer to a resource by name, or null if the resource does not exist.
ResourceMapIterator | getResourceIterator (void)
| Returns an iterator over all resources in this manager.
ResourcePool * | getResourcePool (const String &name)
| Create a resource pool, or reuse one that already exists.
const String & | getResourceType (void) const
| Gets a string identifying the type of resource this manager handles.
const StringVector & | getScriptPatterns (void) const override
| Gets the file patterns which should be used to find scripts for this class.
bool | getVerbose (void)
| Gets whether this manager and its resources habitually produce log output.
ResourcePtr | load (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)
| Generic load method, used to create a Resource specific to this ResourceManager without using one of the specialised 'load' methods (containing per-Resource-type parameters).
void | parseScript (DataStreamPtr &stream, const String &groupName) override
| Parse a script file.
ResourcePtr | prepare (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, bool backgroundThread=false)
| Generic prepare method, used to create a Resource specific to this ResourceManager without using one of the specialised 'prepare' methods (containing per-Resource-type parameters).
void | reloadAll (bool reloadableOnly=true)
| Caused all currently loaded resources to be reloaded.
virtual void | reloadAll (Resource::LoadingFlags flags)
| Caused all currently loaded resources to be reloaded.
void | reloadUnreferencedResources (bool reloadableOnly=true)
| Caused all currently loaded but not referenced by any other object resources to be reloaded.
void | remove (const ResourcePtr &r)
| Remove a single resource.
void | remove (const String &name, const String &group=RGN_DEFAULT)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | remove (ResourceHandle handle)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual void | removeAll (void)
| Removes all resources.
virtual void | removeUnreferencedResources (bool reloadableOnly=true)
| Remove all resources which are not referenced by any other object.
bool | resourceExists (const String &name, const String &group=RGN_DEFAULT) const
| Returns whether the named resource exists in this manager.
bool | resourceExists (ResourceHandle handle) const
| Returns whether a resource with the given handle exists in this manager.
void | setMemoryBudget (size_t bytes)
| Set a limit on the amount of memory this resource handler may use.
void | setVerbose (bool v)
| Sets whether this manager and its resources habitually produce log output.
void | unload (const String &name, const String &group=RGN_DEFAULT)
| Unloads a single resource by name.
void | unload (ResourceHandle handle)
| Unloads a single resource by handle.
void | unloadAll (bool reloadableOnly=true)
| Unloads all resources.
virtual void | unloadAll (Resource::LoadingFlags flags)
| Unloads all resources.
void | unloadUnreferencedResources (bool reloadableOnly=true)
| Unload all resources which are not referenced by any other object.
Public Member Functions inherited from Ogre::ScriptLoader
virtual | ~ScriptLoader ()
Public Member Functions inherited from Ogre::Singleton< FontManager >
| ~Singleton (void)

## Static Public Member Functions
static FontManager & | getSingleton (void)
| Override standard Singleton retrieval.
static FontManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< FontManager >
static FontManager & | getSingleton (void)
| Get the singleton instance.
static FontManager * | getSingletonPtr (void)
| Get the singleton instance.

## Additional Inherited Members
Public Types inherited from Ogre::ResourceManager
typedef std::pair< ResourcePtr, bool > | ResourceCreateOrRetrieveResult
typedef std::map< ResourceHandle, ResourcePtr > | ResourceHandleMap
typedef std::unordered_map< String, ResourcePtr > | ResourceMap
typedef MapIterator< ResourceHandleMap > | ResourceMapIterator
typedef std::unordered_map< String, ResourceMap > | ResourceWithGroupMap

## Detailed Description

Manages Font resources, parsing .fontdef files and generally organising them.

## Constructor & Destructor Documentation

## ◆ FontManager()

Ogre::FontManager::FontManager | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~FontManager()

Ogre::FontManager::~FontManager | ( |  | ) |

## Member Function Documentation

## ◆ create()

FontPtr Ogre::FontManager::create | ( | const String & | name,
|  | const String & | group,
|  | bool | isManual = false,
|  | ManualResourceLoader * | loader = 0,
|  | const NameValuePairList * | createParams = 0 )

Create a new font.

See also
  ResourceManager::createResource

## ◆ getByName()

FontPtr Ogre::FontManager::getByName | ( | const String & | name,
|  | const String & | groupName = RGN_DEFAULT ) const

Get a font by name.

For example, one defined in some .fontdef file.

See also
  ResourceManager::getResourceByName

References OGRE_RESOURCE_GROUP_INIT.

## ◆ getSingleton()

FontManager & Ogre::FontManager::getSingleton | ( | void |  | ) |
| static

Override standard Singleton retrieval.

Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References FontManager().

## ◆ getSingletonPtr()

FontManager * Ogre::FontManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References FontManager().

The documentation for this class was generated from the following file:

- OgreFontManager.h